### Method

# Gimp Layer copy

#### Declaration [src]

    GimpLayer*
    gimp_layer_copy (
      GimpLayer* layer
    )

#### Description [src]

Copy a layer.

This procedure copies the specified layer and returns the copy. The newly copied layer is for use within the original layer’s image. It should not be subsequently added to any other image.

Available since: | 3.0

#### Return value

Returns: | `GimpLayer`
| The newly copied layer. The object belongs to libgimp and you should not free it.
| The data is owned by the instance.